// pages/friends-list/friends-list.js
const app = getApp()
const link = app.globalData.url
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page:1,
    pageSize:10,
    openId:"",
    status:0,
    goodsList:[],
    count:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this
    that.page = 1
    that.pageSize = 18
    that.openId = wx.getStorageSync('openId')
    that.status = 1

    that.setData({
      lType:"loading"
    })

    wx.request( { 
      url: link + "/v1/user/list", 
      header: { 
       "Content-Type": "application/json"
      }, 
      method: "POST",
      data:  { openId: that.openId,pageIndex:that.page,pageSize: that.pageSize,status:that.status}, 
      complete: function( res ) { 
       console.log(res)
       if( res == null || res.data == null ) { 
        console.error( '网络请求失败' ); 
        return; 
       } 
       console.log(res.data.data.rows)
       //that.count = res.data.data.count
       if (res.data.data.count == 0){
        that.count = res.data.data.count
        that.setData({
          goodsList: res.data.data.rows,
          lType:"end"
        })
       } else{
         console.log('==============')
        that.count = res.data.data.count
        that.data.goodsList = res.data.data.rows
        that.setData({
          goodsList: that.data.goodsList,
          lType:"false"
        })
       }
 
      } 
     }) 
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },


  changeTabs: function (e){
    var that = this
    console.log(e)
    if (e.detail.activeKey == '2'){
      that.status = 2
    } else {
      that.status = 1
    }
    
    that.setData({
      lType:"loading"
    })
    wx.request( { 
      url: link + "/v1/user/list", 
      header: { 
       "Content-Type": "application/json"
      }, 
      method: "POST",
      data:  { openId: that.openId,pageIndex:that.page,pageSize: that.pageSize,status:that.status}, 
      complete: function( res ) { 
       console.log(res)
       if( res == null || res.data == null ) { 
        console.error( '网络请求失败' ); 
        return; 
       } 
       console.log(res.data.data.rows)
       //that.count = res.data.data.count
       if (res.data.data.count == 0){
        that.setData({
          goodsList: res.data.data.rows,
          lType:"end"
        })
       } else{
       
        that.data.goodsList = res.data.data.rows
        that.setData({
          goodsList: that.data.goodsList,
          lType:"false"
        })
       }
      
      } 
     }) 
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

    /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    //获取数据
     var  that = this; 
  
     if (that.page * that.pageSize >= that.count ){
      //提示页码到了
    that.setData({
      lType:"end"
    })
    return
  }
  
    that.page +=1
    wx.request( { 
     url: link + "/v1/user/list", 
     header: { 
      "Content-Type": "application/json"
     }, 
     method: "POST",
     data:  { openId: that.openId,pageIndex:that.page,pageSize: that.pageSize,status:that.status}, 
     complete: function( res ) { 
      wx.hideLoading();
      console.log(res)
      
      for (var i = 0; i < res.data.data.rows.length; i++) {
        that.data.goodsList.push( res.data.data.rows[i]);
      }
      
     that.setData({
      goodsList: that.data.goodsList,
    })
  
      if( res == null || res.data == null ) { 
       console.error( '网络请求失败' ); 
       return; 
      } 
     } 
    }) 
    },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})